Bug 948026 - BIND named 9.9.2 high CPU load due to missing managed-keys-directory statement in sample named.conf
Summary: BIND named 9.9.2 high CPU load due to missing managed-keys-directory statemen...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: 18
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tomáš Hozza 🤓
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-03 19:53 UTC by Adrian Offerman
Modified: 2013-06-18 01:36 UTC (History)
3 users (show)

Fixed In Version: dhcp-4.2.5-2.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-18 01:29:00 UTC


Attachments (Terms of Use)
corrected sample file /usr/share/doc/bind-9.9.2/sample/etc/named.conf (7.60 KB, application/octet-stream)
2013-04-03 19:53 UTC, Adrian Offerman
no flags Details

Description Adrian Offerman 2013-04-03 19:53:42 UTC
Created attachment 731323 [details]
corrected sample file /usr/share/doc/bind-9.9.2/sample/etc/named.conf

Description of problem:

After a while CPU load of BIND named goes over 200% and stays there, while still serving answers to DNS queries.

Version-Release number of selected component (if applicable):

9.9.2-8.P1.fc18.x86_64

How reproducible:

Start it up, and just wait for a couple of hours, or one or two days :-)
Note: this was on a very lightly used system.
Restarting the daemon won't help; the daemon runs normal again for a while only after rebooting.

Additional info:

This problem appears to be triggered by a missing statement:
  managed-keys-directory "dynamic";
in the /etc/named.conf file.
This problem was already reported in bug #709205 for BIND named 9.7.4 on FC14 here:
  https://bugzilla.redhat.com/show_bug.cgi?id=709205

Yes, the managed-keys-directory statement is there in the basic named.conf that is installed with the package. However, it is missing in the template configuration file /usr/share/doc/bind-9.8.2/sample/etc/named.conf that a lot of people might be using.

Attached a corrected sample file (added the DLV key path too).

Comment 1 Fedora Admin XMLRPC Client 2013-04-25 11:38:31 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Tomáš Hozza 🤓 2013-05-13 11:38:52 UTC
Fixed in bind-9.9.2-11.P2.fc18 [1].

[1] http://koji.fedoraproject.org/koji/buildinfo?buildID=418506

Comment 3 Fedora Update System 2013-05-13 11:46:14 UTC
bind-9.9.3-0.6.rc2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bind-9.9.3-0.6.rc2.fc19

Comment 4 Fedora Update System 2013-05-24 20:13:59 UTC
bind-9.9.3-0.6.rc2.fc19, dhcp-4.2.5-12.fc19, bind-dyndb-ldap-3.2-1.fc19, dnsperf-2.0.0.0-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2013-06-03 19:48:29 UTC
bind-dyndb-ldap-2.6-2.fc18,dnsperf-2.0.0.0-4.fc18,dhcp-4.2.5-12.fc18,bind-9.9.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bind-dyndb-ldap-2.6-2.fc18,dnsperf-2.0.0.0-4.fc18,dhcp-4.2.5-12.fc18,bind-9.9.3-2.fc18

Comment 6 Fedora Update System 2013-06-03 19:52:08 UTC
dhcp-4.2.5-2.fc17,dnsperf-2.0.0.0-3.fc17,bind-dyndb-ldap-2.5-2.fc17,bind-9.9.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dhcp-4.2.5-2.fc17,dnsperf-2.0.0.0-3.fc17,bind-dyndb-ldap-2.5-2.fc17,bind-9.9.3-2.fc17

Comment 7 Fedora Update System 2013-06-06 01:28:50 UTC
Package dhcp-4.2.5-2.fc17, dnsperf-2.0.0.0-3.fc17, bind-dyndb-ldap-2.5-2.fc17, bind-9.9.3-3.P1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dhcp-4.2.5-2.fc17 dnsperf-2.0.0.0-3.fc17 bind-dyndb-ldap-2.5-2.fc17 bind-9.9.3-3.P1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10100/dhcp-4.2.5-2.fc17,dnsperf-2.0.0.0-3.fc17,bind-dyndb-ldap-2.5-2.fc17,bind-9.9.3-3.P1.fc17
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-06-18 01:29:00 UTC
bind-dyndb-ldap-2.6-2.fc18, dnsperf-2.0.0.0-4.fc18, dhcp-4.2.5-12.fc18, bind-9.9.3-3.P1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-06-18 01:36:22 UTC
dhcp-4.2.5-2.fc17, dnsperf-2.0.0.0-3.fc17, bind-dyndb-ldap-2.5-2.fc17, bind-9.9.3-3.P1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.